package com.keao.edu.user.enums;

import com.keao.edu.common.enums.BaseEnum;

public enum YesOrNoEnum implements BaseEnum<Integer, YesOrNoEnum> {
    YES(1,"是"),
    NO(0,"否");

    private Integer code;
    private String msg;

    YesOrNoEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public Integer getCode() {
        return this.code;
    }
}
